// ARDUINO DEMO FOR GROVE-ATH20
//
#include <Wire.h>
#include "ATH20.h"

ATH20 ATH;

void setup()
{
    Serial.begin(9600);
    Serial.println("==========");
    Serial.println("ATH20 DEMO");
    ATH.begin();
}

void loop()
{
    float humi, temp;
    
    int ret = ATH.getSensor(&humi, &temp);
    
    if(ret)     // GET DATA OK
    {
        Serial.print("Humedad: ");
        Serial.print(humi*100);
        Serial.print("%\t Temperatura: ");
        Serial.print(temp); Serial.println("ºC");
    }
    else        // GET DATA FAIL
    {
        Serial.println("GET DATA FROM ATH20 FAIL");
    }
    
    delay(1000);
}

// END FILE
