#include <Adafruit_AHTX0.h>
 
Adafruit_AHTX0 aht;
 
void setup() 
{
  Serial.begin(9600);
  Serial.println("==========================");
  Serial.println("Adafruit AHT10/AHT20 demo!");
 
  if (! aht.begin()) 
  {
    Serial.println("Could not find AHT? Check wiring");
    while (1) delay(10);
  }
  Serial.println("Encontrado SENSOR->AHT10 or AHT20");
}
 
void loop() {
  sensors_event_t humidity, temp;
  aht.getEvent(&humidity, &temp);// populate temp and humidity objects with fresh data
  Serial.print("Temperatura: "); 
  Serial.print(temp.temperature); 
  Serial.println(" grados C");
  Serial.print("Humedad: "); 
  Serial.print(humidity.relative_humidity); 
  Serial.println("% rH");
 
  delay(1000);
}
